<section id="choix">
  <h2>Creation de compte</h2>
  <h3 ng-show="!remplace()">Vous êtes un remplaçant</h3>
  <h3 ng-show="remplace()">Vous êtes un installé</h3>
  <p>Veuillez remplir ce formulaire pour vous inscrire.</p>
  <form name="form" class="form-group" ng-submit="validation(form.$valid)">

    <input class="form-control" type="text" name="nom" ng-model="formData.nom" class="form-control" required ng-required="true" ng-minlength="1" ng-maxlength="20" placeholder="Nom" ></input>
    <p class="alert alert-danger" ng-show="(!form.nom.$pristine || envoi) && form.nom.$invalid">Veuillez indiquer votre nom</p><br>

    <input class="form-control" type="text" name="prenom" ng-model="formData.prenom" placeholder="Prenom" required ng-required="true"  ng-minlength="1" ng-maxlength="20"></input>
    <p class="alert alert-danger" ng-show="(!form.prenom.$pristine || envoi) && form.prenom.$invalid">Veuillez indiquer votre prenom</p><br>

    <input class="form-control" type="email" name="email" ng-model="formData.email" placeholder="Adresse email" required ng-required="true" ng-minlength="1" ng-maxlength="80"></input>
    <p class="alert alert-danger" ng-show="(!form.email.$pristine || envoi) && form.email.$invalid">Veuillez indiquer votre adresse email</p><br>
    <p class="alert alert-danger" ng-show="$emailExistant">Cette adresse email est déjà utilisé par un utilisateur</p>

    <input class="form-control" list="specialite" id="list" name="specialite" ng-model="formData.specialite" required ng-required="true" placeholder="Choissisez une spécialité" ></input>
    <p class="alert alert-danger" ng-show="correctSpe()">Veuillez indiquer une specialite existante dans la liste</p><br>

    <input class="form-control" type="number" name="idProfessionnel" ng-model="formData.idProfessionnel" placeholder="ADLI ou RPPS" required ng-required="true"  ng-pattern="/^\d{10,12}$/"></input>
    <p class="alert alert-danger" ng-show="(!form.idProfessionnel.$pristine || envoi) && form.idProfessionnel.$invalid">Veuillez indiquer votre numéro ADLI ou RPSS</p><br>

    <label>Votre date de naissance ci dessous</label>
    <input class="form-control" type="date" name="dateDeNaissance" ng-model="formData.dateDeNaissance" ng-bind="date | date:'MM/dd/yyyy'" placeholder="Date de naissance (AAAA-MM-JJ)" required ng-required="true"></input>
    <p class="alert alert-danger" ng-show="majeur()">Veuillez indiquer votre date de naissance (vous devez avoir plus de 18 ans)</p><br>

    <input class="form-control" type="number" name="numTel" ng-model="formData.numTel" placeholder="Numéro de telephone (facultatif)" required ng-required="false" ng-pattern="/^\d{4,10}$/"></input>
    <p class="alert alert-danger" ng-show="(!form.numTel.$pristine || envoi) && form.numTel.$invalid">Veuillez indiquer votre numéro de telephone</p><br>

    <input class="form-control" type="text" name="description" ng-model="formData.description" required ng-required="false" ng-minlength="1" ng-maxlength="3000" placeholder="Résumé vous concernant (facultatif)" ></input>
    <p class="alert alert-danger" ng-show="(!form.description.$pristine || envoi) && form.description.$invalid">Veuillez indiquer une description correcte (moins de 3000 caractéres)</p><br>

          
    <datalist id="specialite">
        <option ng-repeat="t in listSpe track by $index" value="{{t.specialite}}"/>
    </datalist>

    <input class="form-control" type="password" name="mdp" ng-model="formData.mdp" placeholder="Créer un mot de passe" required ng-required="true"  ng-minlength="8" ng-maxlength="32"></input><br>
    <input class="form-control" type="password" name="mdp2" ng-model="formData.mdp2" placeholder="Même mot de passe" required ng-required="true"  ng-minlength="8" ng-maxlength="32"></input>
    <p class="alert alert-danger" ng-show="(!form.mdp.$pristine || envoi)  && form.mdp.$invalid">Veuillez indiquer un mot de passe valide (Au moins 8 caractéres)</p>
    <p class="alert alert-danger" ng-show="(!form.mdp2.$pristine || envoi) && form.mdp2.$invalid">Veuillez remplir le deusieme mot de passe</p>
    <p class="alert alert-danger" ng-show="(!form.mdp2.$pristine || envoi) && mdpCheck()">Les mot de passe ne sont pas identique</p>
    <br>
    <label>Remplissez correctement le captcha ci dessous (ceci est une mesure contre les robots)</label>
    <div re-captcha ng-model="formData.captcha"></div>
    <button type="submit">Valider</button> <br> <br>
  </form>

  <b class="alert alert-danger" ng-show="erreurFormulaire()" ng-bind="erreurFormulaire()"/>
  
</section>